public static interface PdfEndpointBuilderFactory.PdfBuilders
| Modifier and Type | Method and Description |
|---|---|
default PdfEndpointBuilderFactory.PdfEndpointBuilder |
pdf(String path)
PDF (camel-pdf)
Create, modify or extract content from PDF documents.
|
default PdfEndpointBuilderFactory.PdfEndpointBuilder |
pdf(String componentName,
String path)
PDF (camel-pdf)
Create, modify or extract content from PDF documents.
|
default PdfEndpointBuilderFactory.PdfEndpointBuilder pdf(String path)
pdf:operation
Path parameter: operation (required)
Operation type
There are 3 enums and the value can be one of: create, append,
extractTextpath - operationdefault PdfEndpointBuilderFactory.PdfEndpointBuilder pdf(String componentName, String path)
pdf:operation
Path parameter: operation (required)
Operation type
There are 3 enums and the value can be one of: create, append,
extractTextcomponentName - to use a custom component name for the endpoint
instead of the default namepath - operationApache Camel